/*
 * @Author: your name
 * @Date: 2021-11-25 14:38:41
 * @LastEditTime: 2021-11-29 18:23:39
 * @LastEditors: Please set LastEditors
 * @Description: 也是网络接口的 api
 * @FilePath: \hyyfScreen\src\utils\chenApi.js
 */
import axios from "./http"

/** 生产经营 */
// 存栏结构
export function getInventoryAndProduct(data) {
  return axios({
    url: '/produce/prodStock/listERP',
    method: 'get',
    params: data
  })
}

// 存栏变动
export function getInventoryLines(data) {
  return axios({
    url: '/produce/prodStock/listStorage',
    method: 'get',
    params: data
  })
}

// 重要指标
export function getProductionCondition(params) {
  return axios({
    url: '/produce/prodProduce/listProducee',
    method: 'get',
    params: params
  })
}

// 应付
export function getYingFu(data) {
  return axios({
    url: '/produce/prodPayableRank/listPayable',
    method: 'get',
    params: data
  })
}

// 成本分析
export function getCostData(params) {
  return axios({
    url: '/produce/prodCostStatistics/listCost',
    method: 'get',
    params: params
  })
}

// 销售分析
export function getTheSales(params) {
  return axios({
    url: '/produce/prodSales/listSales',
    method: 'post',
    data: params
  })
}

// 工作看板
export function getWorkPlans(params) {
  return axios({
    url: '/produce/prodWorkPlan/listScreenWorkPlan',
    method: 'get',
    params: params
  })
}
